html {
    scroll-behavior: smooth;
}

a {
    color: hsl(198, 75%, 50%);
}

a:hover {
    color: hsl(198, 75%, 35%);
}

.badge-primary {
    background-color: hsl(198, 75%, 50%);
}

.badge-primary[href]:focus, .badge-primary[href]:hover {
    background-color: hsl(198, 75%, 40%);
}

.app-error .form-control {
    border-color: hsl(0, 75%, 60%);
    box-shadow: 0 0 0 0.2rem hsla(0, 75%, 50%, .25);
}

.app-error button {
    color: hsl(0, 75%, 60%);
    border-color: hsl(0, 75%, 60%);
    box-shadow: 0 0 0 0.2rem hsla(0, 75%, 50%, .25);
}

.form-control:focus {
    border-color: hsl(198, 75%, 75%);
    box-shadow: 0 0 0 0.2rem hsla(198, 75%, 50%, .25);
}

.btn-primary {
    background-color: hsl(198, 75%, 50%);
    border-color: hsl(198, 75%, 50%);
}

.btn-primary:hover {
    background-color: hsl(198, 75%, 43%);
    border-color: hsl(198, 75%, 40%);
}

.btn-primary:not(:disabled):not(.disabled):active {
    background-color: hsl(198, 75%, 40%);
    border-color: hsl(198, 75%, 37%);
}

.btn-primary:focus, .btn-primary:not(:disabled):not(.disabled):active:focus {
    box-shadow: 0 0 0 0.2rem hsla(198, 75%, 50%, .5);
}

.btn-outline-secondary {
    color: #7c8387;
    border-color: #ced4da;
}

.btn-outline-secondary:hover {
    color: hsl(198, 75%, 43%);
    border-color: hsl(198, 75%, 43%);
    background-color: #fff;
}

.btn-outline-secondary:not(:disabled):not(.disabled):active {
    background-color: hsl(198, 75%, 40%);
    border-color: hsl(198, 75%, 37%);
}

.btn-outline-secondary:hover, .btn-outline-secondary:focus, .btn-outline-secondary:not(:disabled):not(.disabled):active:focus {
    box-shadow: 0 0 0 0.2rem hsla(198, 75%, 50%, .5);
}

.form-control[readonly] {
    background: #fff;
    color: #ced4da;
}

input[type=file] {
    position: absolute;
    margin: -9999px;
}
